package org.springblade.modules.external.ycbigdata.smartapplication.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.external.ycbigdata.smartapplication.vo.FaceDeviceVO;
import org.springblade.modules.external.ycbigdata.smartapplication.vo.SmartDeviceVO;
import org.springblade.smartapplication.facedevice.entity.FaceDevice;
import org.springblade.smartapplication.smartsmoke.entity.SmartDevice;

import java.util.Objects;

/**
 * Created By lidexi in 2021/3/16
 **/
public class SmartDeviceWrapper extends BaseEntityWrapper<SmartDevice, SmartDeviceVO> {


	public static SmartDeviceWrapper build(){
		return new SmartDeviceWrapper();
	}
	@Override
	public SmartDeviceVO entityVO(SmartDevice smartDevice) {

		SmartDeviceVO smartDeviceVO = Objects.requireNonNull(BeanUtil.copy(smartDevice,SmartDeviceVO.class));
		return smartDeviceVO;
	}
}
